Retrieves all the job_priority objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

job_priority
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the priority

string

Required

Max length: 50

is_default

If default, will be auto selected when creating new jobs

boolean
sequence

Sorting field (0 first)

integer
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating job_priority

string
sales_organization

Embedded entity "sales_organization" when adding/updating job_priority

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "b602d55f-47e4-476c-958e-c6290189229d",
  "name": "sample string 2",
  "is_default": true,
  "sequence": 4,
  "sales_organization_id": "224c49b2-8fd8-46e0-a6cd-875ff2e4ba8a",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "95c19ac8-1a44-4f60-a63b-de2736672c79",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "ca92964f-d5b1-4169-a6d0-5273e7a984fc",
    "db_currency_id": "ae7f3d27-3f67-463c-b840-67efab98e159",
    "db_language_id": "6f50d65b-2655-4023-b2a6-7ca6046cac2f",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-09-09T11:45:20.1581369+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-09-09T11:45:20.1581369+00:00"
}